<?php
namespace Magento\Paypal\Block\Billing\Agreements;

/**
 * Interceptor class for @see \Magento\Paypal\Block\Billing\Agreements
 */
class Interceptor extends \Magento\Paypal\Block\Billing\Agreements implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Customer\Model\Session $customerSession, \Magento\Paypal\Model\ResourceModel\Billing\Agreement\CollectionFactory $agreementCollection, \Magento\Paypal\Helper\Data $helper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $customerSession, $agreementCollection, $helper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
